<?php
namespace Magento\Catalog\Model\Layer\Category\CollectionFilter;

/**
 * Interceptor class for @see \Magento\Catalog\Model\Layer\Category\CollectionFilter
 */
class Interceptor extends \Magento\Catalog\Model\Layer\Category\CollectionFilter implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Catalog\Model\Product\Visibility $productVisibility, \Magento\Catalog\Model\Config $catalogConfig)
    {
        $this->___init();
        parent::__construct($productVisibility, $catalogConfig);
    }

    /**
     * {@inheritdoc}
     */
    public function filter($collection, \Magento\Catalog\Model\Category $category)
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'filter');
        return $pluginInfo ? $this->___callPlugins('filter', func_get_args(), $pluginInfo) : parent::filter($collection, $category);
    }
}
